<template>
  <v-list-group
    v-if="page.subpages"
    :prepend-icon="page.icon ? page.icon : ''"
    :group="'/' + page.to"
    no-action
  >
    <template v-slot:activator>
      <v-list-item-content>
        <v-list-item-title
          :color="page.color ? page.color : ''"
          v-text="page.title"
        />
      </v-list-item-content>
    </template>
    <v-list-item
      v-for="(subpage, j) in page.subpages"
      :key="j"
      :to="page.to && subpage.to ? '/' + page.to + '/' + subpage.to : ''"
      :href="subpage.href ? subpage.href : ''"
      nuxt
      link
    >
      <v-list-item-content>
        <v-list-item-title
          :color="subpage.color ? subpage.color : ''"
          v-text="subpage.title"
        />
      </v-list-item-content>
    </v-list-item>
  </v-list-group>
  <v-list-item
    v-else
    :to="page.to ? page.to : ''"
    :href="page.href ? page.href : ''"
    :color="page.color ? page.color : ''"
    nuxt
    link
    exact
  >
    <v-list-item-action v-if="page.icon">
      <v-icon>{{ page.icon }}</v-icon>
    </v-list-item-action>
    <v-list-item-content>
      <v-list-item-title v-text="page.title" />
    </v-list-item-content>
  </v-list-item>
</template>

<script>
export default {
  props: {
    page: {
      type: Object,
      required: true,
    },
  },
}
</script>
